CUDA Runtime API (PDF) - v10.1.168 (older) - Last updated April 24, 2019 - Send Feedback

## 6.21. cudaMemsetParams Struct Reference

## [Data types used by CUDA Runtime]

CUDA Memset node parameters

### Public Variables

void * dst
unsigned int elementSize
size_t height
size_t pitch
unsigned int value
size_t width

### Variables

void * cudaMemsetParams::dst [inherited]

  Destination device pointer

unsigned int cudaMemsetParams::elementSize [inherited]

  Size of each element in bytes. Must be 1, 2, or 4.

size_t cudaMemsetParams::height [inherited]

  Number of rows

size_t cudaMemsetParams::pitch [inherited]

  Pitch of destination device pointer. Unused if height is 1

unsigned int cudaMemsetParams::value [inherited]

  Value to be set

size_t cudaMemsetParams::width [inherited]

  Width in bytes, of the row